CRYPTO_BLKCIPHER_BLO(9)

NAME
crypto_blkcipher_blocksize - obtain block size of cipher

SYNOPSIS

unsigned int crypto_blkcipher_blocksize(struct crypto_blkcipher * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The block size for the block cipher referenced with the cipher handle is returned. The caller may use that information to allocate appropriate memory for the data returned by the encryption or decryption operation.

RETURN

block size of cipher

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT